Main Page Widgets Namespaces Book

# widget.h File Reference

## Namespaces
namespace | Glib
namespace | Gtk
## Classes
class | Gtk::Widget
| Abstract Widget (Base class for all widgets). More...
## Typedefs
typedef Gdk::Rectangle | Gtk::Allocation
typedef GtkRequisition | Gtk::Requisition
## Enumerations
enum | Gtk::DestDefaults { Gtk::DEST_DEFAULT_MOTION = 1 << 0, Gtk::DEST_DEFAULT_HIGHLIGHT = 1 << 1, Gtk::DEST_DEFAULT_DROP = 1 << 2, Gtk::DEST_DEFAULT_ALL = 0x07 }
enum | Gtk::WidgetFlags { Gtk::TOPLEVEL = 1 << 4, Gtk::NO_WINDOW = 1 << 5, Gtk::REALIZED = 1 << 6, Gtk::MAPPED = 1 << 7, Gtk::VISIBLE = 1 << 8, Gtk::SENSITIVE = 1 << 9, Gtk::PARENT_SENSITIVE = 1 << 10, Gtk::CAN_FOCUS = 1 << 11, Gtk::HAS_FOCUS = 1 << 12, Gtk::CAN_DEFAULT = 1 << 13, Gtk::HAS_DEFAULT = 1 << 14, Gtk::HAS_GRAB = 1 << 15, Gtk::RC_STYLE = 1 << 16, Gtk::COMPOSITE_CHILD = 1 << 17, Gtk::NO_REPARENT = 1 << 18, Gtk::APP_PAINTABLE = 1 << 19, Gtk::RECEIVES_DEFAULT = 1 << 20, Gtk::DOUBLE_BUFFERED = 1 << 21, Gtk::NO_SHOW_ALL = 1 << 22 }
enum | Gtk::WidgetHelpType { Gtk::WIDGET_HELP_TOOLTIP, Gtk::WIDGET_HELP_WHATS_THIS }
## Functions
WidgetFlags | Gtk::operator& (WidgetFlags lhs, WidgetFlags rhs)
DestDefaults | Gtk::operator& (DestDefaults lhs, DestDefaults rhs)
WidgetFlags& | Gtk::operator&= (WidgetFlags& lhs, WidgetFlags rhs)
DestDefaults& | Gtk::operator&= (DestDefaults& lhs, DestDefaults rhs)
WidgetFlags | Gtk::operator^ (WidgetFlags lhs, WidgetFlags rhs)
DestDefaults | Gtk::operator^ (DestDefaults lhs, DestDefaults rhs)
WidgetFlags& | Gtk::operator^= (WidgetFlags& lhs, WidgetFlags rhs)
DestDefaults& | Gtk::operator^= (DestDefaults& lhs, DestDefaults rhs)
WidgetFlags | Gtk::operator| (WidgetFlags lhs, WidgetFlags rhs)
DestDefaults | Gtk::operator| (DestDefaults lhs, DestDefaults rhs)
WidgetFlags& | Gtk::operator|= (WidgetFlags& lhs, WidgetFlags rhs)
DestDefaults& | Gtk::operator|= (DestDefaults& lhs, DestDefaults rhs)
WidgetFlags | Gtk::operator~ (WidgetFlags flags)
DestDefaults | Gtk::operator~ (DestDefaults flags)